### Hierarchy

- PropertyVisitor

### Implements

- JsonObjectVisitor

## Index

### Constructors

- constructor

### Properties

- _enclosedJsonObject

### Methods

- copyAsJsonObject
- copyAsJsonString
- enclosedJsonObject
- format
- name
- type
- value
- visitAnnotations

## Constructors

### constructor

- new PropertyVisitor(value: string | object): PropertyVisitor

- - Defined in proxy/PropertyVisitor.ts:10

  #### Parameters

  - ##### value: string | object

  #### Returns PropertyVisitor

## Properties

### Private _enclosedJsonObject

_enclosedJsonObject: any

- Defined in proxy/PropertyVisitor.ts:10

## Methods

### copyAsJsonObject

- copyAsJsonObject(): object

- Implementation of JsonObjectVisitor.copyAsJsonObject

  - Defined in proxy/PropertyVisitor.ts:30

  #### Returns object

### copyAsJsonString

- copyAsJsonString(): string

- Implementation of JsonObjectVisitor.copyAsJsonString

  - Defined in proxy/PropertyVisitor.ts:34

  #### Returns string

### enclosedJsonObject

- enclosedJsonObject(): any

- Implementation of JsonObjectVisitor.enclosedJsonObject

  - Defined in proxy/PropertyVisitor.ts:38

  #### Returns any

### format

- format(): string

- - Defined in proxy/PropertyVisitor.ts:51

  #### Returns string

### name

- name(): string

- - Defined in proxy/PropertyVisitor.ts:55

  #### Returns string

### type

- type(): string

- - Defined in proxy/PropertyVisitor.ts:59

  #### Returns string

### value

- value(): string

- - Defined in proxy/PropertyVisitor.ts:63

  #### Returns string

### visitAnnotations

- visitAnnotations(): IterableIterator<AnnotationVisitor>

- - Defined in proxy/PropertyVisitor.ts:44

  #### Returns IterableIterator<AnnotationVisitor>

Generated using TypeDoc